#include <bits/stdc++.h>

using namespace std;

int a[200008];
int b[200008];
int t[200008];

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n, m; cin >> n >> m;

    for(int i = 0; i < m; i++)
    {
        cin >> a[i] >> b[i] >> t[i];
    }

    int u, v; cin >> u >> v;

    cout << -1;

    return 0;
}